#include<bits/stdc++.h>
#define IOS ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL)

using namespace std;

typedef long long ll;
typedef unsigned long long ull;

int n, broj[10];
bool imaistih, zameni;
vector<int> a, b;
int main() {
    IOS; cin >> n;
    for(int i=0; i<n; ++i) {
        int br; cin >> br; a.push_back(br); ++broj[br];
        if(broj[br]>1) imaistih=true;
    }
    for(int i=9; i>=0; --i) while(broj[i]--) b.push_back(i);
    for(int i=0; i<n; ++i) {
        if(a[i]!=b[i]) {
            for(int j=n-1; j>=0; --j) if(a[j] == b[i]) {swap(a[i], a[j]); break;}
            zameni = true;
            break;
        }
    }
    if(!zameni&&!imaistih) swap(a[n-2], a[n-1]);
    for(auto x:a) cout << x << ' ';
    return 0;
}